org.apache.maven.shared.io.logging

## Interface MessageSink

All Known Implementing Classes:
  MojoLogSink, PlexusLoggerSink

    public interface MessageSink

Message Sink interface.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `debug(String message)`
`void` `error(String message)`
`void` `info(String message)`
`void` `severe(String message)`
`void` `warning(String message)`

### Method Detail

#### debug

    void debug(String message)

Parameters:
  `message` - The message.

#### info

    void info(String message)

Parameters:
  `message` - The message.

#### warning

    void warning(String message)

Parameters:
  `message` - The message.

#### error

    void error(String message)

Parameters:
  `message` - The message.

#### severe

    void severe(String message)

Parameters:
  `message` - The message.